#!/bin/bash

# pbmtoicon
# convert a PBM file to an icon suitable for d.icons
# Usage: pbmtoicon <file name> <icon name>

filename="$1"
name="$2"

if [ -z "$filename" -o -z "$name" ] ; then
        echo "Usage: $0 <file name> <icon name>" >&2
        exit 1
fi

if [ -z "$LOCATION" ] ; then
        echo 'Error: $LOCATION not set' >&2
        exit 1
fi

pnmfile "$filename" | fgrep PBM &>/dev/null

if [ $? != 0 ] ; then
        echo "'$filename' is not a PBM file" >&2
        exit 1
fi

exec ppmtoxpm "$filename" \
 | grep '^"' \
 | sed -e '1,3d' -e 's/^"//' -e 's/",\?$//' \
 | tr ' .' 'x ' > "$LOCATION/icons/$name"
